﻿-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE freehelpdesk;

--
-- Definition for table site_calls
--
DROP TABLE IF EXISTS site_calls;
CREATE TABLE site_calls (
  call_id INT(11) NOT NULL AUTO_INCREMENT,
  call_first_name VARCHAR(100) NOT NULL,
  call_last_name VARCHAR(100) NOT NULL,
  call_phone VARCHAR(100) NOT NULL,
  call_email VARCHAR(200) NOT NULL,
  call_department INT(11) NOT NULL DEFAULT 0,
  call_request INT(11) NOT NULL DEFAULT 0,
  call_device INT(11) NOT NULL DEFAULT 0,
  call_company VARCHAR(100) NOT NULL,
  call_details TEXT,
  call_date INT(11) NOT NULL DEFAULT 0,
  call_date2 INT(11) NOT NULL DEFAULT 0,
  call_status INT(11) NOT NULL DEFAULT 0,
  call_solution TEXT,
  call_user INT(11) NOT NULL DEFAULT 0,
  call_staff INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (call_id),
  INDEX call_department (call_department),
  INDEX call_device (call_device),
  INDEX call_request (call_request),
  INDEX call_staff (call_staff),
  INDEX call_status (call_status),
  INDEX call_user (call_user)
)
ENGINE = INNODB
AUTO_INCREMENT = 37
AVG_ROW_LENGTH = 2340
CHARACTER SET utf8
COLLATE utf8_unicode_ci;

--
-- Definition for table site_notes
--
DROP TABLE IF EXISTS site_notes;
CREATE TABLE site_notes (
  note_id INT(11) NOT NULL AUTO_INCREMENT,
  note_title VARCHAR(200) NOT NULL,
  note_body TEXT,
  note_relation INT(11) NOT NULL DEFAULT 0,
  note_type INT(1) NOT NULL DEFAULT 0,
  note_post_date INT(11) NOT NULL DEFAULT 0,
  note_post_ip VARCHAR(20) NOT NULL,
  note_post_user INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (note_id),
  INDEX note_post_user (note_post_user),
  INDEX note_relation (note_relation),
  INDEX note_type (note_type)
)
ENGINE = INNODB
AUTO_INCREMENT = 16
AVG_ROW_LENGTH = 16384
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Definition for table site_options
--
DROP TABLE IF EXISTS site_options;
CREATE TABLE site_options (
  id INT(11) NOT NULL AUTO_INCREMENT,
  option_name VARCHAR(255) NOT NULL,
  option_value VARCHAR(500) NOT NULL,
  timestamp TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  INDEX option_name (option_name)
)
ENGINE = INNODB
AUTO_INCREMENT = 2
AVG_ROW_LENGTH = 16384
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Definition for table site_types
--
DROP TABLE IF EXISTS site_types;
CREATE TABLE site_types (
  type_id INT(11) NOT NULL AUTO_INCREMENT,
  type INT(1) NOT NULL DEFAULT 0,
  type_name VARCHAR(200) DEFAULT NULL,
  type_email VARCHAR(200) DEFAULT NULL,
  type_location TEXT,
  type_phone VARCHAR(100) DEFAULT NULL,
  PRIMARY KEY (type_id),
  INDEX type (type)
)
ENGINE = INNODB
AUTO_INCREMENT = 22
AVG_ROW_LENGTH = 1170
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Definition for table site_upload
--
DROP TABLE IF EXISTS site_upload;
CREATE TABLE site_upload (
  id INT(11) NOT NULL AUTO_INCREMENT,
  call_id INT(11) NOT NULL,
  file_name VARCHAR(255) NOT NULL,
  file_ext VARCHAR(4) NOT NULL,
  timestamp TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  INDEX call_id (call_id)
)
ENGINE = INNODB
AUTO_INCREMENT = 5
AVG_ROW_LENGTH = 16384
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Definition for table site_users
--
DROP TABLE IF EXISTS site_users;
CREATE TABLE site_users (
  user_id INT(11) NOT NULL AUTO_INCREMENT,
  user_login VARCHAR(30) NOT NULL,
  user_password VARCHAR(225) NOT NULL,
  user_name VARCHAR(200) NOT NULL,
  user_address VARCHAR(200) NOT NULL,
  user_city VARCHAR(100) NOT NULL,
  user_state CHAR(3) NOT NULL,
  user_zip VARCHAR(20) NOT NULL,
  user_country CHAR(3) NOT NULL,
  user_phone VARCHAR(39) NOT NULL,
  user_email VARCHAR(200) NOT NULL,
  user_email2 VARCHAR(200) NOT NULL,
  user_company VARCHAR(100) NOT NULL,
  user_im_aol VARCHAR(100) NOT NULL,
  user_im_icq VARCHAR(100) NOT NULL,
  user_im_msn VARCHAR(100) NOT NULL,
  user_im_yahoo VARCHAR(100) NOT NULL,
  user_im_other VARCHAR(200) NOT NULL,
  user_status INT(1) NOT NULL DEFAULT 0,
  user_level INT(1) NOT NULL DEFAULT 0,
  user_pending INT(11) NOT NULL DEFAULT 0,
  user_date INT(11) NOT NULL DEFAULT 0,
  last_login INT(11) NOT NULL DEFAULT 0,
  last_ip VARCHAR(20) NOT NULL,
  user_msg_send INT(1) NOT NULL DEFAULT 0,
  user_msg_subject VARCHAR(200) NOT NULL,
  user_protect_delete INT(1) DEFAULT 0,
  user_protect_edit INT(11) NOT NULL DEFAULT 0,
  user_hiden TINYINT(1) DEFAULT 0,
  user_localadmin TINYINT(1) DEFAULT 0,
  PRIMARY KEY (user_id),
  INDEX user_level (user_level),
  INDEX user_msg_send (user_msg_send),
  INDEX user_pending (user_pending),
  INDEX user_protect_edit (user_protect_edit),
  INDEX user_status (user_status)
)
ENGINE = INNODB
AUTO_INCREMENT = 23
AVG_ROW_LENGTH = 2340
CHARACTER SET utf8
COLLATE utf8_general_ci;

-- 
-- Dumping data for table site_options
--
INSERT INTO site_options VALUES
(1, 'encrypted_passwords', 'yes', '2014-03-16 23:43:19');

-- 
-- Dumping data for table site_types
--
INSERT INTO site_types VALUES
(3, 2, 'Срочная', '', '', ''),
(4, 2, 'Вопрос', '', '', ''),
(5, 3, '', '', '', ''),
(6, 3, 'Системный блок', '', '', ''),
(8, 2, 'Несрочная', '', '', ''),
(9, 3, 'Клавиатура', '', '', ''),
(10, 3, 'Мышь', '', '', ''),
(11, 3, 'Монитор', '', '', ''),
(12, 3, 'Принтер', '', '', ''),
(13, 3, 'Сетевое оборудование', '', '', ''),
(14, 3, 'Программное обеспечение', '', '', '');

-- 
-- Dumping data for table site_users
--
INSERT INTO site_users VALUES
(1, 'admin', '$2a$08$NSOkY.JIa1pJA.WGvKeHu.Y8EEv/qjMNNAeWBPlFM0JksjXfcr99.', '', '', '', '', '', '', '', '', 'someone@example.com', '', '', '', '', '', '', 0, 0, 0, 0, 1428657577, '', 1, 'New Message', 1, 0, 0, 1);

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;